%define pypi_name Glances

Name:           glances
Version:        2.0
Release:        %mkrel 5
Group:          Monitoring
Summary:        A cross-platform curses-based monitoring tool

License:        LGPLv3
URL:            https://github.com/nicolargo/glances
Source0:        https://pypi.python.org/packages/source/G/Glances/Glances-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-psutil
Requires:       python3-pkg-resources
Recommends:       python3-bottle
Recommends:       python3-pysnmp
Recommends:       python3-sensors
Recommends:       python3-batinfo
Recommends:       hddtemp

%description
Glances is a CLI curses based monitoring tool for both GNU/Linux and BSD.
Glances uses the PsUtil library to get information from your system.
It is developed in Python.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING README.rst
%{_datadir}/man/man1/glances.1.*
%exclude %{_datadir}/doc/glances
%{_bindir}/glances
%config(noreplace) %{_sysconfdir}/glances
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0-5.mga5
+ Revision: 742573
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-4.mga5
+ Revision: 726349
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-3.mga5
+ Revision: 679611
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Jun 20 2014 ovitters <ovitters> 2.0-2.mga5
+ Revision: 638184
- require python3-pkg-resources

* Thu Jun 19 2014 philippem <philippem> 2.0-1.mga5
+ Revision: 638178
- update to 2.0, use Python3

* Sat May 31 2014 pterjan <pterjan> 1.7.6-2.mga5
+ Revision: 628221
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 1.7.6-1.mga5
+ Revision: 610895
- new version 1.7.6

* Mon Mar 24 2014 kharec <kharec> 1.7.5-1.mga5
+ Revision: 608178
- fix group
- imported package glances

